<?
	/** Ta strona służy do wyświetlenia tabel zawierających oddane prace studentów (zawierającą linki do plagiatów, o ile takie są w bazie).
	* @author Dariusz Działak
	* @package XPWykladowca
	*/
	if ($sess->isLoged("Wykl")) {
		echo "<H1> $przedmiot </H1>";

		include "include/W_pokaz_grupy.inc.php";

		echo "<h2> grupa nr $grupa </h2>";

		/*
			poniższy kod wyświetla tabele z oddanymi pracami przez studentów
		*/
		define ("MAX_ZAD_W_TAB", 4);
		$zadanek = count($przynalezy);
		$tab = array();

		$nr_tab = 1;
		while ($zadanek>0){
			$wtab = min(MAX_ZAD_W_TAB, $zadanek);
			$zadanek -= $wtab;
			$tab[$nr_tab] = new CTable($wtab+1, "ttable", "cellspacing=0");
	//		echo "tabela $nr_tab rozmiar: $wtab<br>";
			$tab[$nr_tab]->addField("");
			$nr_tab++;
		}

		$nr = 1;
		$kolumna = 1;
		foreach ($przynalezy as $key => $value) {
			if ($kolumna>MAX_ZAD_W_TAB) { $kolumna = 1; $nr++; }
			if (floor($kolumna/2)*2 != $kolumna) $parity="Todd"; else $parity="Teven";
			$tab[$nr]->addField($value, $parity);
	//		echo "w tabeli $nr zadanie $value[2]<br>";
			$kolumna++;
		}
		$prex = "T";
		foreach ($oddania as $key=>$value){
			$nr_tab = $nr;
			$parity = "even";
			if ($prex == "T") $prex=""; else $prex="T";
			while ($nr_tab>=1) {
	//			echo "do tabeli nr $nr_tab student $key<br>";
				$tab[$nr_tab]->addField($value["student$key"], "$prex$parity");
				$nr_tab--;
			}

			$nr_tab = 1;
			$kolumna = 1;
			foreach ($przynalezy as $id => $res) {
				if (floor($kolumna/2)*2 != $kolumna) $parity="odd"; else $parity="even";

				if (array_key_exists("$id$key", $plagiat))
				{
					$link = new CLink("W_pokaz_plagiaty", "W_pobierz_plagiaty");
					$link->addParam(plagiat_id, $plagiat["$id$key"]);
	//				$kol = $link->get($kol.$oddania[$key][$id]);
					$kol = $link->get($oddania[$key][$id]);
				} else {
					$kol = $oddania[$key][$id];
				}

				if (array_key_exists($id, $oddania[$key]))
					$tab[$nr_tab]->addField($kol, "$prex$parity");
				else
					$tab[$nr_tab]->addField("---", "$prex$parity");
	//			echo "do tabeli $nr_tab wynik zadania $id<br>";

				$kolumna++;
				if ($kolumna>MAX_ZAD_W_TAB) {$kolumna = 1; $nr_tab++; }
			}
		}
		while ($nr>0){
			if ($tab) $tab[$nr--]->close();
			if ($nr>0) echo "<hr width='75%'>";
		}
	}
?>
